Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07000 Gameplay Major Always Jun 4, 2018, 13:08 13 days ago
Tester rcoltrane View Status Public Platform MAME (Official Binary)
Assigned To galibert Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver taitosj.cpp
Version 0.198 Fixed in Version 0.233GIT Build 64-bit
Fixed in Git Commit 7d65e37 Github Pull Request #
Summary 07000: tinstar: Tinstar - Tripping over invisible barrel?
Description When you start a new game and go straight to the bottom right side of the screen, the character lays on the floor and you cannot get up until after some time or a bullet hits you. Seems to happen only with the 1st life, after you lose a life, the problem disappears.

EDIT: changed the severity to Major because the gameplay is severely impacted by this bug.
Steps To Reproduce Start a new game and go straight to the bottom right side of the screen. When you reach that position, the character will lay down on the floor.
Additional Information
Github Commit
Flags
Regression Version 0.123u2
Affected Sets / Systems tinstar
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.15089
Tafoid
Administrator
Jun 4, 2018, 18:00
Surely could use some actual PCB reference. It seems to me like your character is stumbling over a barrel that is not visible. If you avoid that corner for a time during the game and let a barrel roll through on screen, you are no longer tripped up going to the right side corner.
User avatar
No.18229
MetalGod
Senior Tester
Dec 7, 2020, 23:48
I've just found out this bug has a regression version.
Regression is 0.123u2
- 0.123u2: Zsolt Vasvari simplified collision detection in Taito SJ driver.
 

Removing "possible" flag.
User avatar
No.18230
Osso
Developer
Dec 8, 2020, 15:45
If that's the regression version, the specific commit is probably: https://git.redump.net/mame/commit/?id=5b35164ee0cc534a1354df327b8190e9d2738bd3
User avatar
No.18232
rcoltrane
Tester
Dec 9, 2020, 16:16
edited on: Dec 9, 2020, 16:18
Confirmed the regression version pointed by OSSO. In version 0.122, both gameplay and the sound when inserting a coin are perfect! I really don't understand why Zsolt Vasvary did that 'major driver cleanup' in MAME version 0.123, which clearly made things worse.

After doing these tests I strongly suggest that we revert this driver back to the 0.122 one.
User avatar
No.18235
Tafoid
Administrator
Dec 9, 2020, 19:06
Wholesale "reverting" a driver is not the answer.

MAME's sourcecode has changed significantly since 0.122 (13 years ago) and as such this cannot be done. Someone who is capable will need to see what the old vs new code did to make the emulation behave differently and implement that in the current codebase.
User avatar
No.18945
Robbbert
Developer
16 days ago
Does this fix it? https://github.com/mamedev/mame/commit/7d65e376f053d3a25ccc06e1d52cccc68ff207d5
User avatar
No.18961
rcoltrane
Tester
13 days ago
edited on: 13 days ago
I will do some more tests on it when the next official MAME version is released.